#include "FlurryOfKnives.h"
#include "Net/UnrealNetwork.h"

void UFlurryOfKnives::Server_StartThrowing_Implementation()
{

}

void UFlurryOfKnives::Server_DecreaseConsecutiveKnivesStacks_Implementation()
{

}

void UFlurryOfKnives::OnRep_NumOfStacksReduction()
{

}

void UFlurryOfKnives::Multicast_StartThrowing_Implementation()
{

}

void UFlurryOfKnives::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UFlurryOfKnives, _replicatedNumOfStacksReduction);
	DOREPLIFETIME(UFlurryOfKnives, _isSuperModeThrow);
	DOREPLIFETIME(UFlurryOfKnives, _selfSlowEffect);
}

UFlurryOfKnives::UFlurryOfKnives()
{
	this->_replicatedNumOfStacksReduction = 0;
	this->_isSuperModeThrow = false;
	this->_selfSlowStatusEffectClass = NULL;
}
